Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action.hyperlinks
Class LocalAnchorHyperlinkProducerFactory

    java.lang.Object
      com.jaspersoft.jasperserver.war.action.hyperlinks.LocalAnchorHyperlinkProducerFactory

All Implemented Interfaces:
  HyperlinkProducerFlowFactory, java.io.Serializable

    public class LocalAnchorHyperlinkProducerFactory

extends java.lang.Object
implements HyperlinkProducerFlowFactory, java.io.Serializable

Version:
  $Id: LocalAnchorHyperlinkProducerFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary
`protected class` | `LocalAnchorHyperlinkProducerFactory.LocalAnchorHyperlinkProducer`

Constructor Summary
`LocalAnchorHyperlinkProducerFactory()`

Method Summary
`java.lang.String` | `getFlowControllerMapping()`
`net.sf.jasperreports.engine.export.JRHyperlinkProducer` | `getHyperlinkProducer(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`SessionObjectSerieAccessor` | `getJasperPrintAccessor()`
`java.lang.String` | `getJasperPrintNameRequestAttribute()`
`java.lang.String` | `getNavigateEventID()`
`java.lang.String` | `getPageIndexParameter()`
`void` | `setFlowControllerMapping(java.lang.String flowControllerMapping)`
`void` | `setJasperPrintAccessor(SessionObjectSerieAccessor jasperPrintAccessor)`
`void` | `setJasperPrintNameRequestAttribute(java.lang.String jasperPrintNameRequestAttribute)`
`void` | `setNavigateEventID(java.lang.String navigateEventID)`
`void` | `setPageIndexParameter(java.lang.String pageIndexParameter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalAnchorHyperlinkProducerFactory

    public LocalAnchorHyperlinkProducerFactory()

Method Detail

### getHyperlinkProducer

    public net.sf.jasperreports.engine.export.JRHyperlinkProducer getHyperlinkProducer(javax.servlet.http.HttpServletRequest request,
                                                                                       javax.servlet.http.HttpServletResponse response)

  Specified by:
    `getHyperlinkProducer` in interface `HyperlinkProducerFlowFactory`

### getJasperPrintNameRequestAttribute

    public java.lang.String getJasperPrintNameRequestAttribute()

### setJasperPrintNameRequestAttribute

    public void setJasperPrintNameRequestAttribute(java.lang.String jasperPrintNameRequestAttribute)

### getFlowControllerMapping

    public java.lang.String getFlowControllerMapping()

### setFlowControllerMapping

    public void setFlowControllerMapping(java.lang.String flowControllerMapping)

### getNavigateEventID

    public java.lang.String getNavigateEventID()

### setNavigateEventID

    public void setNavigateEventID(java.lang.String navigateEventID)

### getPageIndexParameter

    public java.lang.String getPageIndexParameter()

### setPageIndexParameter

    public void setPageIndexParameter(java.lang.String pageIndexParameter)

### getJasperPrintAccessor

    public SessionObjectSerieAccessor getJasperPrintAccessor()

### setJasperPrintAccessor

    public void setJasperPrintAccessor(SessionObjectSerieAccessor jasperPrintAccessor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.